window.Gleam.initSearch([{"doc":"glitr_wisp","title":"glitr_wisp","content":"# glitr_wisp\r\n\r\nInterface for wisp to use Glitr&#39;s typed routes\r\n\r\n[![Package Version](https://img.shields.io/hexpm/v/glitr_wisp)](https://hex.pm/packages/glitr_wisp)\r\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glitr_wisp/)\r\n\r\n```sh\r\ngleam add glitr_wisp\r\n```\r\n```gleam\r\nimport glitr_wisp\r\nimport wisp.{type Request, type Response}\r\n\r\npub fn handle_request(req: Request, ctx: web.Context) -&gt; Response {\r\n  use _req &lt;- web.middleware(req)\r\n\r\n  glitr_wisp.for(req)\r\n  |&gt; glitr_wisp.try(todo_routes.get_all(), todo_service.get_all(ctx, _))\r\n  |&gt; glitr_wisp.try(todo_routes.get(), todo_service.get(ctx, _))\r\n  |&gt; glitr_wisp.try(todo_routes.create(), todo_service.create(ctx, _))\r\n  |&gt; glitr_wisp.try(todo_routes.update(), todo_service.update(ctx, _))\r\n  |&gt; glitr_wisp.try(todo_routes.delete(), todo_service.delete(ctx, _))\r\n  |&gt; glitr_wisp.unwrap\r\n}\r\n```\r\n\r\nFurther documentation can be found at &lt;https://hexdocs.pm/glitr_wisp&gt;.\r\n\r\n## Development\r\n\r\n```sh\r\ngleam run   # Run the project\r\ngleam test  # Run the tests\r\n```\r\n","url":"index.html"},{"doc":"glitr_wisp/errors","title":"AppError","content":"pub type AppError {\n  DBError(message: String)\n  DecoderError(message: String)\n  InternalError(message: String)\n}\n\nDBError(message: String)\n\n\nDecoderError(message: String)\n\n\nInternalError(message: String)\n\n\nSynonyms:\nglitr_wisp/errors.AppError\nglitr_wisp/errors AppError","url":"glitr_wisp/errors.html#AppError"},{"doc":"glitr_wisp/errors","title":"glitr_wisp/errors","content":"","url":"glitr_wisp/errors.html"},{"doc":"glitr_wisp","title":"Router","content":"pub type Router {\n  Router(req: wisp.Request)\n}\n\nRouter(req: wisp.Request)\n\n\nSynonyms:\nglitr_wisp.Router\nglitr_wisp Router","url":"glitr_wisp.html#Router"},{"doc":"glitr_wisp","title":"for","content":"pub fn for(\n  req: Request(Connection),\n) -&gt; Result(Router, Response(Body))\n\nSynonyms:\nglitr_wisp.for\nglitr_wisp for","url":"glitr_wisp.html#for"},{"doc":"glitr_wisp","title":"try","content":"pub fn try(\n  router_res: Result(Router, Response(Body)),\n  route: Route(a, b, c, d),\n  handler: fn(RouteOptions(a, b, c)) -&gt; Result(d, AppError),\n) -&gt; Result(Router, Response(Body))\n\nSynonyms:\nglitr_wisp.try\nglitr_wisp try","url":"glitr_wisp.html#try"},{"doc":"glitr_wisp","title":"try_map","content":"pub fn try_map(\n  router_res: Result(Router, Response(Body)),\n  route: Route(a, b, c, d),\n  handler: fn(RouteOptions(a, b, c)) -&gt; Result(d, AppError),\n  map_fn: fn(Response(Body)) -&gt; Response(Body),\n) -&gt; Result(Router, Response(Body))\n\nSynonyms:\nglitr_wisp.try_map\nglitr_wisp try_map","url":"glitr_wisp.html#try_map"},{"doc":"glitr_wisp","title":"unwrap","content":"pub fn unwrap(\n  router_res: Result(Router, Response(Body)),\n) -&gt; Response(Body)\n\nSynonyms:\nglitr_wisp.unwrap\nglitr_wisp unwrap","url":"glitr_wisp.html#unwrap"},{"doc":"glitr_wisp","title":"glitr_wisp","content":"","url":"glitr_wisp.html"}]);